Subject: bug#45946: [PATCH] Re: bug#45946: 28.0.50; hl-line-sticky-flag not working

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Jan 2021 16:13:52 +0200

> From: Gabriel do Nascimento Ribeiro <[email-masked]>
> Date: Wed, 20 Jan 2021 22:07:33 -0300
> 
> Here is a proposal of patch for this bug. It seems to work well in all
> cases I have tested, but maybe I am missing some edge case. Suggestions
> are welcome.

Thanks.

While at that, would it be possible to fix some code there that I at
least consider strange?  E.g., it calls delete-overlay, but doesn't
assign nil to the variable, so the overlayp predicate still returns
non-nil for the resulting invalid overlay.  Also, it puts 2 functions
on the post-command-hook, but it looks like the code subtly depends on
the order of their execution (should hl-line-highlight run before or
after hl-line-maybe-unhighlight?).